List Alerts
curl --request GET \
--url https://api.tenderly.co/api/v1/account/{accountSlug}/project/{projectSlug}/alerts \
--header 'X-Access-Key: <api-key>'import requests
url = "https://api.tenderly.co/api/v1/account/{accountSlug}/project/{projectSlug}/alerts"
headers = {"X-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Access-Key': '<api-key>'}};
fetch('https://api.tenderly.co/api/v1/account/{accountSlug}/project/{projectSlug}/alerts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"alerts": [
{
"id": "7d8af07c-3cf9-40f2-8c4a-51725d758948",
"project_id": "dfdc391a-a15d-4590-9aef-8691259c7df4",
"name": "Failed transaction in My new contract name",
"description": "",
"enabled": false,
"color": "#ff5252",
"severity": "danger",
"created_at": "2023-12-12T23:39:37.704Z",
"delivery_channels": [
{
"delivery_channel_id": "b16b4b75-e034-44c9-a053-f10d769a1d64",
"delivery_channel": {
"id": "b16b4b75-e034-44c9-a053-f10d769a1d64",
"type": "email",
"owner_id": "7d5e8b1f-8bf8-4eae-a70f-fb7d354b1cc2",
"project_id": null,
"label": "Email: vanja@tenderly.co",
"reference_id": "vanja@tenderly.co",
"enabled": true,
"created_at": "2022-04-13T14:30:10.920586Z",
"information": {
"email": "vanja@tenderly.co",
"emails": [
"vanja@tenderly.co"
]
}
},
"enabled": true,
"created_at": "2023-12-12T23:39:39.094115Z"
}
],
"is_editable": true,
"updated_at": "2023-12-12T23:39:39.102325Z",
"expressions": [
{
"type": "contract_address",
"expression": {
"address": "0x94c87a7b26980ae7aaa361c5c7e03e632ab36e6c",
"transaction_type": null
}
},
{
"type": "network",
"expression": {
"network_id": "1"
}
},
{
"type": "tx_status",
"expression": {
"transaction_success": false
}
}
]
}
]
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "bad_request",
"message": "Bad request input parameters"
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "unauthorized",
"message": "Unauthorized"
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "insufficient_permissions",
"message": "Insufficient permissions"
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "resource_not_found",
"message": "The resource you requested could not be found."
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "internal_server_error",
"message": "Internal server error"
}
}Alerts
List Alerts
This endpoint allows you retrieve alerts for given project.
GET
/
v1
/
account
/
{accountSlug}
/
project
/
{projectSlug}
/
alerts
List Alerts
Authorizations
ApiKeyAuthBearerAuth
An API key is a token that a client provides when making API calls. Send it as the X-Access-Key request header on any endpoint:
curl '<API_ENDPOINT>' \ -H 'X-Access-Key: ${TENDERLY_ACCESS_KEY}' \ ...
Learn how to generate API access tokens at Tenderly Docs.
Path Parameters
Account slug of the user
Project slug of the account
Response
A successful response.
List of alerts in the project
List of alerts in the project
Show child attributes
Show child attributes
Was this page helpful?
⌘I